www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Veithen <andreas.veit...@gmail.com>
Subject Re: Integration Test Failures on Jenkins
Date Thu, 29 Dec 2011 11:11:07 GMT
On Thu, Dec 29, 2011 at 11:23, Hiranya Jayathilaka <hiranya911@gmail.com> wrote:
> Hi Andreas,
>
> On Thu, Dec 29, 2011 at 2:30 PM, Andreas Veithen
> <andreas.veithen@gmail.com>wrote:
>
>> There is a "JDK 1.6 (unlimited security)" already available.
>>
>
> I'm +1 for switching our build plan to JDK 1.6. How can we get this done?

That's a discussion for the Synapse dev list, not for builds@apache.org.

> Thanks,
> Hiranya
>
>
>>
>> Andreas
>>
>> On Thu, Dec 29, 2011 at 06:03, Hiranya Jayathilaka <hiranya911@gmail.com>
>> wrote:
>> > Hi Folks,
>> >
>> > We have a Jenkins task configured to build Apache Synapse. A few days
>> > earlier we added some new integration tests to the project and 2 of these
>> > tests are failing on Jenkins builder:
>> >
>> > Test Result<
>> https://builds.apache.org/job/Synapse%20-%20Trunk/org.apache.synapse$synapse-integration/4072/testReport/
>> >
>> > (2
>> > failures )
>> >
>> >   -
>> org.apache.synapse.samples.framework.tests.qos.Sample100.testWSSecurity<
>> https://builds.apache.org/job/Synapse%20-%20Trunk/org.apache.synapse$synapse-integration/4072/testReport/junit/org.apache.synapse.samples.framework.tests.qos/Sample100/testWSSecurity/
>> >
>> >   -
>> >
>> org.apache.synapse.samples.framework.tests.proxy.Sample156.testServiceIntegration<
>> https://builds.apache.org/job/Synapse%20-%20Trunk/org.apache.synapse$synapse-integration/4072/testReport/junit/org.apache.synapse.samples.framework.tests.proxy/Sample156/testServiceIntegration/
>> >
>> >
>> >
>> > These are both security related tests. Here's the root cause I extracted
>> > from the build logs:
>> >
>> > 2011-12-27 00:02:37,487 [-] [HttpServerWorker-1] ERROR Axis2Sender
>> > Unexpected error during sending message out
>> > org.apache.axis2.AxisFault: Error in encryption
>> >        at
>> org.apache.rampart.handler.RampartSender.invoke(RampartSender.java:76)
>> >        at org.apache.axis2.engine.Phase.invokeHandler(Phase.java:335)
>> >        at org.apache.axis2.engine.Phase.invoke(Phase.java:308)
>> >        at org.apache.axis2.engine.AxisEngine.invoke(AxisEngine.java:262)
>> >        at org.apache.axis2.engine.AxisEngine.send(AxisEngine.java:427)
>> >        at
>> org.apache.synapse.core.axis2.DynamicAxisOperation$DynamicOperationClient.send(DynamicAxisOperation.java:193)
>> >        at
>> org.apache.synapse.core.axis2.DynamicAxisOperation$DynamicOperationClient.exe
>> >
>> >
>> > We are able to reproduce these errors on our local machines. Solution is
>> to
>> > patch the JDK with JCE policy files (this is a requirement from Apache
>> > Rampart which handles security in Synapse). Currently Jenkins is building
>> > Synapse on JDK 5 with Maven 3. Is there any possibility of getting this
>> JDK
>> > installation patched with the necessary JCE files?
>> >
>> > Thanks
>> > --
>> > Hiranya Jayathilaka
>> > Associate Technical Lead;
>> > WSO2 Inc.;  http://wso2.org
>> > E-mail: hiranya@wso2.com;  Mobile: +94 77 633 3491
>> > Blog: http://techfeast-hiranya.blogspot.com
>>
>
>
>
> --
> Hiranya Jayathilaka
> Associate Technical Lead;
> WSO2 Inc.;  http://wso2.org
> E-mail: hiranya@wso2.com;  Mobile: +94 77 633 3491
> Blog: http://techfeast-hiranya.blogspot.com

Mime
View raw message